安装sublime插件php-twig一直失败,原因竟是channel_v3未更新插件下载地址

Author: lanses - Posted:5个月前 - View:551

电脑上未安装代理,也不想去折腾代理的事,根据网上不使用代理,则可以使用channel_v3.json作为替换方法,在网上下载了channel_v3.json文件,并在sublime中指定了channel_v3文件所在目录路径,重启sublime软件后,可以直连到packagecontrol.io插件库了,刚开始正窃喜,没想到安装时就出了如下错误。

WINDOW COMMAND ENABLED True
WINDOW COMMAND ENABLED False
ignored packages updated to: ["PHP-Twig", "Vintage"]
reloading settings Packages/User/Package Control.sublime-settings
reloading settings Packages/User/Preferences.sublime-settings
Package Control: Attempting to use Urllib downloader due to WinINet error: Error downloading package. Secure channel error, server not providing SSL (errno 12157) during HTTP write phase of downloading https://codeload.github.com/Anomareh/PHP-Twig.tmbundle/zip/master.
Package Control: Error downloading package. HTTP error 404 downloading https://codeload.github.com/Anomareh/PHP-Twig.tmbundle/zip/master.
error: Package Control

Unable to download PHP-Twig. Please view the console for more details.
ignored packages updated to: ["Vintage"]

刚开始以为是自己手势不对,重启sublime好几次重新安装,都报没有可用的插件提供下载,最后调了console查看了错误信息,才知道channel_v3提供的php-twig下载地址是codeload.github.com/Anomareh,后来不得不使用代理去访问了github上的插件原地址直接404了,真正的插件地址已改成github.com/uhnomoli/PHP-Twig.tmbundle了。

channel_v3.json文件对于没有使用代理的人来说,的确是一种替代方案,但是有可能会遇到跟我一样的情况,除非你能保证你的channel_v3文件一直是较新的,那使用channel_v3文件就跟直接使用packagecontrol.io一样的效果了。

不过通过我所使用的所有插件来看,很热门的插件一般是很少出现直接更改下载地址的,较冷门的就说不定了。

0 人点赞  ∙  0 人收藏  
加入收藏 点赞 我要评论
目前尚无回复